
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * getBorderRightWidth of scriptstyle not works properly
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that getBorderRightWidth of scriptstyle works properly
 */
public class Regression_118389 extends EngineCase
{

	private final static String INPUT = "regression_118389.rptdesign";
	private final static String OUTPUT = "regression_118389.html";

	public void test_Regression_118389( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );

		Object obj = super.engineTask.getAppContext( ).get( "borderRightWidth" );
		assertTrue( obj instanceof String );
		assertEquals( "1cm", obj );
	}
}